package com.khmer9.yuki.app

import com.khmer9.yuki.remote.CreateBettingData
import com.khmer9.yuki.remote.CurrentBettingList
import com.khmer9.yuki.remote.CurrentBettingMobile
import com.khmer9.yuki.remote.PreviousBettingList
import com.khmer9.yuki.util.Event

data class ShareViewState(
    val initial: Boolean = true,
    val isProgress: Boolean = false,
    val error: String? = null,
    val nextNo: String? = null,
    val previousBettingList: MutableList<CurrentBettingMobile>? = null,
    val accountBalance: String? = null,
    val isAutoPrint: Event<Boolean>? = null,
    var createBettingData: CreateBettingData? = null,
    var isBetSuccess: Boolean = false,
    val betError: String? = null,
    val lastResult: String? = null,
)